From 7cc0bff4ef1f76ab80ad13a3a4ec9a701b4a286b Mon Sep 17 00:00:00 2001
From: Laurent Montel <montel@kde.org>
Date: Wed, 8 Mar 2023 06:51:22 +0100
Subject: Fix 467034: libksieve/src/kmanagesieve/session.cpp assigns password
 to username & gets logged(

Bug investigate by "bib" thanks
BUG: 467034
BUG: 437858
FIXED-IN: 5.23.0
---
 src/kmanagesieve/session.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/kmanagesieve/session.cpp b/src/kmanagesieve/session.cpp
index 197981fa..23bd0b63 100644
--- a/src/kmanagesieve/session.cpp
+++ b/src/kmanagesieve/session.cpp
@@ -304,7 +304,7 @@ KManageSieve::AuthDetails Session::requestAuthDetails(const QUrl &url)
     AuthDetails ad;
     ad.valid = false;
     if (dlg->exec()) {
-        ad.username = dlg->password();
+        ad.username = dlg->username();
         ad.password = dlg->password();
         ad.valid = true;
     }
-- 
2.30.2

